Subject: Re: [RFC PATCH] sequencer: warn on skipping previously seen commit

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Aug 2021 09:30:02 -0700

Phillip Wood <[email-masked]> writes:

>>> +	if (skipped_commit)
>>> +		warning(_("use --reapply-cherry-picks to include skipped commits"));
>> I'd be hesitant to endorse doing this kind of "here is how to use
>> this command" unconditionally.  Perhaps under --verbose, or hide it
>> under "advise.*".
>
> and use advise() rather than warning(). I'm guess this might be
> helpful but it wont help them get their commits back as there is no
> way to stop the rebase from dropping them at that point.

Yes, but aborting the current rebase and redoing from scratch should
not be a brain surgery.  Even if you had already resolved conflicts
in earlier steps, the work will be replayed automatically for you by
the rerere mechanism.